package middleware

import (
	"context"
	"fmt"
	"net/http"
)

func TheLogger(next http.Handler) http.Handler {
	return http.HandlerFunc(func(w http.ResponseWriter, r *http.Request) {
		fmt.Println(fmt.Sprintf("LOG: %s %s", r.Method, r.URL.Path))
		ctx := context.WithValue(r.Context(), "data", "data:test")
		next.ServeHTTP(w, r.WithContext(ctx))
	})
}
