package routes

import (
	"github.com/go-chi/chi/v5"
	inertia "github.com/romsar/gonertia"
	"homeautomation/webserver/src/middleware"
	"log"
	"net/http"
)

func Web() *chi.Mux {
	r := chi.NewRouter()

	i, err := inertia.NewFromFile("public/templates/root.html")
	if err != nil {
		log.Fatal(err)
	}
	r.Handle("/", i.Middleware(middleware.InertiaMiddleware(i)))
	r.Handle("/hello", i.Middleware(middleware.InertiaMiddleware(i)))
	r.Handle("/build/", http.StripPrefix("/build/", http.FileServer(http.Dir("./serve/build"))))
	return r
}
