package main

import (
	"net/http"

	"github.com/go-chi/chi/v5"
	"github.com/go-chi/chi/v5/middleware"
	HAmiddleware "homeautomation/webserver/src/middleware"
	routes "homeautomation/webserver/src/routes"
)

func main() {
	mux := chi.NewRouter()
	// Setup Middleware
	mux.Use(middleware.Compress(5, "text/html", "text/css"))
	mux.Use(middleware.Heartbeat("/"))
	mux.Use(middleware.Recoverer)
	// Setup custom middleware
	mux.Use(HAmiddleware.TheLogger)
	// Define routes
	mux.Mount("/", routes.Web())
	mux.Mount("/api", routes.Api())
	http.ListenAndServe(":8080", mux)
}
